#!/bin/sh
# Installer for the qvm86 module
set +e

# Find module name
if [ -f qvm86.ko ] ; then
   module=qvm86.ko
else
   module=qvm86.o
fi

# Find kernel install path
kernel_path="/lib/modules/`uname -r`"

mkdir -p "$kernel_path/misc"
cp "$module" "$kernel_path/misc"

/sbin/depmod -a

# Create the qvm86 device. No special priviledge is needed to use qvm86.
#device="/dev/qvm86"
#rm -f $device
#mknod $device c 222 0
#chmod 666 $device
